Memcached::prepend
Memcached::replace
Memcached
PHP Manual

# Memcached::prependByKey

(PECL memcached >= 0.1.0)

Memcached::prependByKey — Préfixe un élément existant

### Description

public bool Memcached::prependByKey ( string `$server_key` , string `$key` , string `$value` )

Memcached::prependByKey() est fonctionnellement équivalent à Memcached::prepend, mais la variable libre `server_key` peut être utilisée pour diriger la clé `key` sur un serveur spécifique.

### Liste de paramètres

`server_key`

  La clé d'identification du serveur de stockage.

`key`

  La clé de l'élément à préfixer.

`value`

  La chaîne à préfixer.

### Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès ou `FALSE` si une erreur survient. La méthode Memcached::getResultCode retourne `Memcached::RES_NOTFOUND` si la clé n'existe pas.

### Voir aussi

- Memcached::prepend - Préfixe des données à un élément existant
- Memcached::append - Ajoute des données à un élément

Memcached::prepend
Memcached::replace
Memcached
PHP Manual